Reactor Dependency Convergence

Legend:
[Error] At least one dependency has a differing version of the dependency or has SNAPSHOT dependencies.

Statistics:
Number of modules: 8
Number of dependencies (NOD): 152
Number of unique artifacts (NOA): 168
Number of version-conflicting artifacts (NOC): 6
Number of SNAPSHOT artifacts (NOS): 0
Convergence (NOD/NOA): [Error] 90 %
Ready for release (100% convergence and no SNAPSHOTS): [Error] Error
You do not have 100% convergence.

Dependencies used in modules

commons-logging:commons-logging

[Error]
1.1.1
  1. org.apache.johnzon:johnzon-websocket:bundle:1.1.0
    \- org.apache.tomee:apache-tomee:zip:webprofile:7.0.3:test
       \- org.apache.tomee:openejb-core:jar:7.0.3:test
          \- commons-logging:commons-logging:jar:1.1.1:test

1.2
  1. org.apache.johnzon:johnzon-websocket:bundle:1.1.0
    \- org.apache.tomee:apache-tomee:zip:webprofile:7.0.3:test
       \- org.apache.tomee:openejb-core:jar:7.0.3:test
          \- org.apache.commons:commons-dbcp2:jar:2.1:test
             \- (commons-logging:commons-logging:jar:1.2:test - omitted for conflict with 1.1.1)

junit:junit

[Error]
3.8.1
  1. org.apache.johnzon:johnzon-mapper:bundle:1.1.0
    \- org.apache.openjpa:openjpa:jar:2.4.0:test
       \- net.sourceforge.serp:serp:jar:1.15.1:test
          \- (junit:junit:jar:3.8.1:test - omitted for conflict with 4.11)

  2. org.apache.johnzon:johnzon-websocket:bundle:1.1.0
    \- org.apache.tomee:apache-tomee:zip:webprofile:7.0.3:test
       \- org.apache.tomee:openejb-core:jar:7.0.3:test
          \- org.apache.openjpa:openjpa:jar:2.4.2:test
             \- net.sourceforge.serp:serp:jar:1.15.1:test
                \- (junit:junit:jar:3.8.1:test - omitted for conflict with 4.12)

4.11
  1. org.apache.johnzon:johnzon-mapper:bundle:1.1.0
    \- com.github.stefanbirkner:system-rules:jar:1.8.0:test
       \- (junit:junit:jar:4.11:test - omitted for conflict with 4.12)

4.12
  1. org.apache.johnzon:johnzon-mapper:bundle:1.1.0
    \- junit:junit:jar:4.12:test

  2. org.apache.johnzon:johnzon-websocket:bundle:1.1.0
    \- junit:junit:jar:4.12:test

org.apache.maven:maven-artifact

[Error]
3.0
  1. org.apache.johnzon:apache-johnzon:jar:1.1.0
    \- org.apache.johnzon:johnzon-maven-plugin:jar:1.1.0:compile
       \- org.apache.maven.plugin-tools:maven-plugin-annotations:jar:3.4:compile
          \- (org.apache.maven:maven-artifact:jar:3.0:compile - omitted for conflict with 3.0.5)

  2. org.apache.johnzon:johnzon-maven-plugin:maven-plugin:1.1.0
    \- org.apache.maven.plugin-tools:maven-plugin-annotations:jar:3.4:compile
       \- (org.apache.maven:maven-artifact:jar:3.0:compile - omitted for conflict with 3.0.5)

3.0.5
  1. org.apache.johnzon:apache-johnzon:jar:1.1.0
    \- org.apache.johnzon:johnzon-maven-plugin:jar:1.1.0:compile
       +- org.apache.maven:maven-plugin-api:jar:3.0.5:compile
       |  \- org.apache.maven:maven-artifact:jar:3.0.5:compile
       \- org.apache.maven:maven-core:jar:3.0.5:compile
          \- (org.apache.maven:maven-artifact:jar:3.0.5:compile - omitted for duplicate)

  2. org.apache.johnzon:johnzon-maven-plugin:maven-plugin:1.1.0
    +- org.apache.maven:maven-plugin-api:jar:3.0.5:compile
    |  \- org.apache.maven:maven-artifact:jar:3.0.5:compile
    \- org.apache.maven:maven-core:jar:3.0.5:compile
       \- (org.apache.maven:maven-artifact:jar:3.0.5:compile - omitted for duplicate)

org.apache.xbean:xbean-asm5-shaded

[Error]
3.17
  1. org.apache.johnzon:johnzon-websocket:bundle:1.1.0
    \- org.apache.tomee:apache-tomee:zip:webprofile:7.0.3:test
       \- org.apache.tomee:openejb-core:jar:7.0.3:test
          \- org.apache.openjpa:openjpa:jar:2.4.2:test
             \- (org.apache.xbean:xbean-asm5-shaded:jar:3.17:test - omitted for conflict with 4.5)

4.5
  1. org.apache.johnzon:johnzon-websocket:bundle:1.1.0
    \- org.apache.tomee:apache-tomee:zip:webprofile:7.0.3:test
       \- org.apache.tomee:openejb-core:jar:7.0.3:test
          +- org.apache.xbean:xbean-asm5-shaded:jar:4.5:test
          +- org.apache.xbean:xbean-finder-shaded:jar:4.5:test
          |  \- (org.apache.xbean:xbean-asm5-shaded:jar:4.5:test - omitted for duplicate)
          \- org.apache.openwebbeans:openwebbeans-impl:jar:1.7.2:test
             \- (org.apache.xbean:xbean-asm5-shaded:jar:4.5:test - omitted for duplicate)

org.codehaus.plexus:plexus-utils

[Error]
1.5.5
  1. org.apache.johnzon:apache-johnzon:jar:1.1.0
    \- org.apache.johnzon:johnzon-maven-plugin:jar:1.1.0:compile
       \- org.apache.maven:maven-core:jar:3.0.5:compile
          \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.3:compile
             \- (org.codehaus.plexus:plexus-utils:jar:1.5.5:compile - omitted for conflict with 2.0.6)

  2. org.apache.johnzon:johnzon-maven-plugin:maven-plugin:1.1.0
    \- org.apache.maven:maven-core:jar:3.0.5:compile
       \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.3:compile
          \- (org.codehaus.plexus:plexus-utils:jar:1.5.5:compile - omitted for conflict with 2.0.6)

2.0.6
  1. org.apache.johnzon:apache-johnzon:jar:1.1.0
    \- org.apache.johnzon:johnzon-maven-plugin:jar:1.1.0:compile
       +- org.apache.maven:maven-plugin-api:jar:3.0.5:compile
       |  +- org.apache.maven:maven-model:jar:3.0.5:compile
       |  |  \- (org.codehaus.plexus:plexus-utils:jar:2.0.6:compile - omitted for duplicate)
       |  \- org.apache.maven:maven-artifact:jar:3.0.5:compile
       |     \- (org.codehaus.plexus:plexus-utils:jar:2.0.6:compile - omitted for duplicate)
       \- org.apache.maven:maven-core:jar:3.0.5:compile
          +- org.apache.maven:maven-settings:jar:3.0.5:compile
          |  \- (org.codehaus.plexus:plexus-utils:jar:2.0.6:compile - omitted for duplicate)
          +- org.apache.maven:maven-settings-builder:jar:3.0.5:compile
          |  \- (org.codehaus.plexus:plexus-utils:jar:2.0.6:compile - omitted for duplicate)
          +- org.apache.maven:maven-repository-metadata:jar:3.0.5:compile
          |  \- (org.codehaus.plexus:plexus-utils:jar:2.0.6:compile - omitted for duplicate)
          +- org.apache.maven:maven-model-builder:jar:3.0.5:compile
          |  \- (org.codehaus.plexus:plexus-utils:jar:2.0.6:compile - omitted for duplicate)
          +- org.apache.maven:maven-aether-provider:jar:3.0.5:compile
          |  \- (org.codehaus.plexus:plexus-utils:jar:2.0.6:compile - omitted for duplicate)
          \- org.codehaus.plexus:plexus-utils:jar:2.0.6:compile

  2. org.apache.johnzon:johnzon-maven-plugin:maven-plugin:1.1.0
    +- org.apache.maven:maven-plugin-api:jar:3.0.5:compile
    |  +- org.apache.maven:maven-model:jar:3.0.5:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:2.0.6:compile - omitted for duplicate)
    |  \- org.apache.maven:maven-artifact:jar:3.0.5:compile
    |     \- (org.codehaus.plexus:plexus-utils:jar:2.0.6:compile - omitted for duplicate)
    \- org.apache.maven:maven-core:jar:3.0.5:compile
       +- org.apache.maven:maven-settings:jar:3.0.5:compile
       |  \- (org.codehaus.plexus:plexus-utils:jar:2.0.6:compile - omitted for duplicate)
       +- org.apache.maven:maven-settings-builder:jar:3.0.5:compile
       |  \- (org.codehaus.plexus:plexus-utils:jar:2.0.6:compile - omitted for duplicate)
       +- org.apache.maven:maven-repository-metadata:jar:3.0.5:compile
       |  \- (org.codehaus.plexus:plexus-utils:jar:2.0.6:compile - omitted for duplicate)
       +- org.apache.maven:maven-model-builder:jar:3.0.5:compile
       |  \- (org.codehaus.plexus:plexus-utils:jar:2.0.6:compile - omitted for duplicate)
       +- org.apache.maven:maven-aether-provider:jar:3.0.5:compile
       |  \- (org.codehaus.plexus:plexus-utils:jar:2.0.6:compile - omitted for duplicate)
       \- org.codehaus.plexus:plexus-utils:jar:2.0.6:compile

2.1
  1. org.apache.johnzon:apache-johnzon:jar:1.1.0
    \- org.apache.johnzon:johnzon-maven-plugin:jar:1.1.0:compile
       \- org.apache.maven:maven-plugin-api:jar:3.0.5:compile
          \- org.sonatype.sisu:sisu-inject-plexus:jar:2.3.0:compile
             \- (org.codehaus.plexus:plexus-utils:jar:2.1:compile - omitted for conflict with 2.0.6)

  2. org.apache.johnzon:johnzon-maven-plugin:maven-plugin:1.1.0
    \- org.apache.maven:maven-plugin-api:jar:3.0.5:compile
       \- org.sonatype.sisu:sisu-inject-plexus:jar:2.3.0:compile
          \- (org.codehaus.plexus:plexus-utils:jar:2.1:compile - omitted for conflict with 2.0.6)

org.slf4j:slf4j-api

[Error]
1.7.13
  1. org.apache.johnzon:johnzon-websocket:bundle:1.1.0
    \- org.apache.tomee:apache-tomee:zip:webprofile:7.0.3:test
       \- org.apache.tomee:openejb-core:jar:7.0.3:test
          \- org.apache.activemq:activemq-broker:jar:5.14.3:test
             \- org.apache.activemq:activemq-client:jar:5.14.3:test
                \- (org.slf4j:slf4j-api:jar:1.7.13:test - omitted for conflict with 1.7.21)

1.7.21
  1. org.apache.johnzon:johnzon-websocket:bundle:1.1.0
    +- org.apache.tomee:arquillian-tomee-remote:jar:7.0.3:test
    |  \- org.apache.tomee:arquillian-tomee-common:jar:7.0.3:test
    |     \- org.slf4j:slf4j-api:jar:1.7.21:test
    \- org.apache.tomee:apache-tomee:zip:webprofile:7.0.3:test
       \- org.apache.tomee:openejb-core:jar:7.0.3:test
          \- (org.slf4j:slf4j-api:jar:1.7.21:test - omitted for duplicate)